---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsp02t002.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x2890, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x53690, symBinAddr: 0x89F0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x555D0, symBinAddr: 0xA930, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x559C0, symBinAddr: 0xAD20, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x56960, symBinAddr: 0xBCC0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x56970, symBinAddr: 0xBCD0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x532F0, symBinAddr: 0x8890, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x532F4, symBinAddr: 0x8894, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x532F8, symBinAddr: 0x8898, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x53450, symBinAddr: 0x88A0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x53508, symBinAddr: 0x8958, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5350C, symBinAddr: 0x895C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x53510, symBinAddr: 0x8960, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x53514, symBinAddr: 0x8964, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x53518, symBinAddr: 0x8968, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x53520, symBinAddr: 0x8970, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x53530, symBinAddr: 0x8980, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x53538, symBinAddr: 0x8988, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x53540, symBinAddr: 0x8990, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x53548, symBinAddr: 0x8998, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x53550, symBinAddr: 0x89A0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x53558, symBinAddr: 0x89A8, symSize: 0x0 }
  - { offsetInCU: 0x94D3, offset: 0x94D3, size: 0x8, addend: 0x0, symName: __ZL19testedThreadRunning, symObjAddr: 0x5359C, symBinAddr: 0x89BC, symSize: 0x0 }
  - { offsetInCU: 0x94ED, offset: 0x94ED, size: 0x8, addend: 0x0, symName: __ZL24testedThreadShouldFinish, symObjAddr: 0x535A0, symBinAddr: 0x89C0, symSize: 0x0 }
  - { offsetInCU: 0x9506, offset: 0x9506, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x535A8, symBinAddr: 0x89C8, symSize: 0x0 }
  - { offsetInCU: 0x951F, offset: 0x951F, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x535B0, symBinAddr: 0x89D0, symSize: 0x0 }
  - { offsetInCU: 0x9538, offset: 0x9538, size: 0x8, addend: 0x0, symName: __ZL3jni, symObjAddr: 0x535F0, symBinAddr: 0x89E0, symSize: 0x0 }
  - { offsetInCU: 0x9551, offset: 0x9551, size: 0x8, addend: 0x0, symName: __ZL11threadsDesc, symObjAddr: 0xF0F0, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0x964F, offset: 0x964F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1530, symSize: 0x80 }
  - { offsetInCU: 0x96E4, offset: 0x96E4, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1480, symSize: 0xB0 }
  - { offsetInCU: 0x973F, offset: 0x973F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1380, symSize: 0x100 }
  - { offsetInCU: 0x99D2, offset: 0x99D2, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x15B0, symSize: 0xC0 }
  - { offsetInCU: 0x9A24, offset: 0x9A24, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1670, symSize: 0x220 }
  - { offsetInCU: 0x9C09, offset: 0x9C09, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1890, symSize: 0xA0 }
  - { offsetInCU: 0x9CBC, offset: 0x9CBC, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1930, symSize: 0x110 }
  - { offsetInCU: 0x9DB2, offset: 0x9DB2, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1A40, symSize: 0x150 }
  - { offsetInCU: 0x9F0F, offset: 0x9F0F, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1B90, symSize: 0x30 }
  - { offsetInCU: 0xA010, offset: 0xA010, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1BC0, symSize: 0x150 }
  - { offsetInCU: 0xA208, offset: 0xA208, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1D10, symSize: 0x160 }
  - { offsetInCU: 0xA4C8, offset: 0xA4C8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1E70, symSize: 0x4A0 }
  - { offsetInCU: 0xA73B, offset: 0xA73B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x2310, symSize: 0x1B0 }
  - { offsetInCU: 0xA956, offset: 0xA956, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x24C0, symSize: 0xA0 }
  - { offsetInCU: 0xAA25, offset: 0xAA25, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2560, symSize: 0x20 }
  - { offsetInCU: 0xAA5C, offset: 0xAA5C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2580, symSize: 0x20 }
  - { offsetInCU: 0xAA93, offset: 0xAA93, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x25A0, symSize: 0x20 }
  - { offsetInCU: 0xAC42, offset: 0xAC42, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x25C0, symSize: 0x1A0 }
  - { offsetInCU: 0xAF5E, offset: 0xAF5E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x2760, symSize: 0x130 }
  - { offsetInCU: 0xB10E, offset: 0xB10E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2B00, symSize: 0x1B0 }
  - { offsetInCU: 0xB3FD, offset: 0xB3FD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2CB0, symSize: 0x80 }
  - { offsetInCU: 0xB4C6, offset: 0xB4C6, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2D30, symSize: 0x6A0 }
  - { offsetInCU: 0xC05B, offset: 0xC05B, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xAAD0, symBinAddr: 0x4990, symSize: 0xB0 }
  - { offsetInCU: 0xC0D2, offset: 0xC0D2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x33D0, symSize: 0x70 }
  - { offsetInCU: 0xC18E, offset: 0xC18E, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3440, symSize: 0xA0 }
  - { offsetInCU: 0xC26D, offset: 0xC26D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x34E0, symSize: 0x40 }
  - { offsetInCU: 0xC363, offset: 0xC363, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3520, symSize: 0x2B0 }
  - { offsetInCU: 0xC709, offset: 0xC709, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x37D0, symSize: 0xC0 }
  - { offsetInCU: 0xC84F, offset: 0xC84F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3890, symSize: 0x10 }
  - { offsetInCU: 0xC911, offset: 0xC911, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x38A0, symSize: 0x220 }
  - { offsetInCU: 0xCC0E, offset: 0xCC0E, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3AC0, symSize: 0x10 }
  - { offsetInCU: 0xCC6B, offset: 0xCC6B, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3AD0, symSize: 0x1F0 }
  - { offsetInCU: 0xCECC, offset: 0xCECC, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E00, symBinAddr: 0x3CC0, symSize: 0x10 }
  - { offsetInCU: 0xCF29, offset: 0xCF29, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP02_sp02t002ThreadRunningNative_testedMethod, symObjAddr: 0x9E10, symBinAddr: 0x3CD0, symSize: 0x60 }
  - { offsetInCU: 0xCF99, offset: 0xCF99, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP02_sp02t002ThreadRunningNative_checkReady, symObjAddr: 0x9E70, symBinAddr: 0x3D30, symSize: 0x40 }
  - { offsetInCU: 0xD025, offset: 0xD025, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP02_sp02t002ThreadRunningNative_letFinish, symObjAddr: 0x9EB0, symBinAddr: 0x3D70, symSize: 0x10 }
  - { offsetInCU: 0xD115, offset: 0xD115, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9EC0, symBinAddr: 0x3D80, symSize: 0xC10 }
  - { offsetInCU: 0xDC12, offset: 0xDC12, size: 0x8, addend: 0x0, symName: __ZL12checkThreadsiPKc, symObjAddr: 0xAEF0, symBinAddr: 0x4DB0, symSize: 0x3D1 }
  - { offsetInCU: 0xDF82, offset: 0xDF82, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAB80, symBinAddr: 0x4A40, symSize: 0x370 }
...
